/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Information allowing to retrieve the product.
 */
@ApiModel(description = "Information allowing to retrieve the product.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class ProductCriteria {
  @SerializedName("policy_number")
  private String policyNumber = null;

  @SerializedName("policy_type")
  private String policyType = null;

  public ProductCriteria policyNumber(String policyNumber) {
    this.policyNumber = policyNumber;
    return this;
  }

   /**
   * Number of the policy that enables the claim&#39;s creation, this can be: - Contract number; - First ten digits of the credit card. - ...
   * @return policyNumber
  **/
  @ApiModelProperty(value = "Number of the policy that enables the claim's creation, this can be: - Contract number; - First ten digits of the credit card. - ...")
  public String getPolicyNumber() {
    return policyNumber;
  }

  public void setPolicyNumber(String policyNumber) {
    this.policyNumber = policyNumber;
  }

  public ProductCriteria policyType(String policyType) {
    this.policyType = policyType;
    return this;
  }

   /**
   * Type of the policy.
   * @return policyType
  **/
  @ApiModelProperty(example = "visa_infinite", value = "Type of the policy.")
  public String getPolicyType() {
    return policyType;
  }

  public void setPolicyType(String policyType) {
    this.policyType = policyType;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ProductCriteria productCriteria = (ProductCriteria) o;
    return Objects.equals(this.policyNumber, productCriteria.policyNumber) &&
        Objects.equals(this.policyType, productCriteria.policyType);
  }

  @Override
  public int hashCode() {
    return Objects.hash(policyNumber, policyType);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ProductCriteria {\n");
    
    sb.append("    policyNumber: ").append(toIndentedString(policyNumber)).append("\n");
    sb.append("    policyType: ").append(toIndentedString(policyType)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

